package main

import (
	"fmt"

	termbox "github.com/nsf/termbox-go"
	"gogs.bullercodeworks.com/brian/user-config"
)

const AppName = "gotime"

func main() {
	cfg, err := userConfig.NewConfig(AppName)

	if cfg.Get("dir") != "" {
		var dir string
		fmt.Print("Timewarrior Data Directory: ")
		fmt.Scanln(&dir)
	}

	err = termbox.Init()
	if err != nil {
		panic(err)
	}
	defer termbox.Close()
	termbox.SetOutputMode(termbox.Output256)

	style := defaultStyle()
	mainLoop(style)

	/*
		dir := "/home/brbuller/.timewarrior/"

		op := os.Args[1]
		var id int
		var err error

		if len(os.Args) > 2 {
			id, err = strconv.Atoi(os.Args[2])
			if err != nil {
				panic(err)
			}
		}

		got := gotime.Create(dir)

		switch op {
		case "ls":
			tmrs := got.GetAllTimers()
			for i := range tmrs {
				fmt.Println("@" + strconv.Itoa(tmrs[i].Id) + ": " + tmrs[i].ToString())
			}
		case "tag":
			if _, err := got.AddTagsToTimer(id, os.Args[3:]); err != nil {
				panic(err)
			}
		case "untag":
			if _, err := got.RemoveTagsFromTimer(id, os.Args[3:]); err != nil {
				panic(err)
			}
		case "start":
			got.StartTimer()
		case "stop":
			got.StopTimer()
		}
	*/
}

const (
	MainScreenIndex = iota
	AboutScreenIndex
	ExitScreenIndex
)

func createScreens() []Screen {
	return []Screen{
		CreateMainScreen(),
		AboutScreen(0),
	}
}
